Gentoo Archives: gentoo-commits

From: Mike Gilbert <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-boot/systemd-boot/
Date: Wed, 11 Sep 2019 23:38:49
Message-Id: 1568245123.478767238f1dfc7eae9b913981baa4a1987c6f14.floppym@gentoo
commit:     478767238f1dfc7eae9b913981baa4a1987c6f14
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 11 23:37:41 2019 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 23:38:43 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47876723

sys-boot/systemd-boot: bump to 243

Package-Manager: Portage-2.3.75_p7, Repoman-2.3.17_p49
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-boot/systemd-boot/Manifest                |   1 +
 sys-boot/systemd-boot/systemd-boot-243.ebuild | 114 ++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/sys-boot/systemd-boot/Manifest b/sys-boot/systemd-boot/Manifest
index a73bcfb7563..ea820109077 100644
--- a/sys-boot/systemd-boot/Manifest
+++ b/sys-boot/systemd-boot/Manifest
@@ -1,2 +1,3 @@
 DIST systemd-239.tar.gz 7157293 BLAKE2B 975f6215c8bb6662d6e161f637e1fece22930c0190b3c31a8fc4cb1a10600546a252704ac95590d9d14e495fcd06082a590e6d755e36603a41b3a396d579d8b0 SHA512 fd44590dfd148504c5ed1e67521efce50d84b627b7fc77015fa95dfa76d7a42297c56cc89eff40181809732024b16d48f2a87038cf435e0c63bc2b95ecd86b0f
 DIST systemd-241.tar.gz 7640538 BLAKE2B 69d7196fee0d0ad06ea8d7c78b0299cc17517ecce3ca4c0b1181a3fbb13bc2627629156785051e2ff427dcc21414f7a078724c6409ebaa431618e4799ebcd50a SHA512 a7757574590e8aa37e1291ea0b2c5eb03a8d8062fe9462fa5b0bf50830c933e2b301d106c70d904f94afc0aa8e43a8acfd11926dfa25b1b89174580e491e545e
+DIST systemd-243.tar.gz 8242522 BLAKE2B 89e3ebbea5a99061329f7c78220a66c1e075d5ba90dfdf5ee8d0d9b762ef4600dc82d8ca2054632e5e343b6272cd8046c92f7f99dcfa8287c5ef2b42fb96d4cb SHA512 56b52a297aa5ac04d9667eb3afb1598725b197de73ff72baa1aabbc2844e36fba7b7fccdf6d214ae8b5b926616b2b7e15772763aaa80ec938d74333ff9c8673e

diff --git a/sys-boot/systemd-boot/systemd-boot-243.ebuild b/sys-boot/systemd-boot/systemd-boot-243.ebuild
new file mode 100644
index 00000000000..99dbbaa4668
--- /dev/null
+++ b/sys-boot/systemd-boot/systemd-boot-243.ebuild
@@ -0,0 +1,114 @@
+# Copyright 2016-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="UEFI boot manager from systemd (formerly gummiboot)"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd/systemd-boot/"
+SRC_URI="https://github.com/systemd/systemd/archive/v${PV}.tar.gz -> systemd-${PV}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+RESTRICT="test"
+
+BDEPEND="
+	app-text/docbook-xml-dtd:4.2
+	app-text/docbook-xml-dtd:4.5
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt:0
+	>=dev-util/intltool-0.50
+	dev-util/gperf
+	>=dev-util/patchelf-0.10
+	virtual/pkgconfig
+"
+COMMON_DEPEND="
+	>=sys-apps/util-linux-2.30
+"
+DEPEND="${COMMON_DEPEND}
+	>=sys-boot/gnu-efi-3.0.2
+	sys-libs/libcap
+"
+RDEPEND="${COMMON_DEPEND}
+	!sys-apps/systemd
+"
+
+S="${WORKDIR}/systemd-${PV}"
+
+PATCHES=(
+	"${FILESDIR}/237-libshared-static.patch"
+)
+
+src_configure() {
+	local emesonargs=(
+		-Dblkid=true
+		-Defi=true
+		-Dgnu-efi=true
+		-Defi-cc="$(tc-getCC)"
+		-Defi-ld="$(tc-getLD)"
+		-Dsplit-usr=true
+		-Drootprefix="${EPREFIX:-/}"
+
+		-Dacl=false
+		-Dapparmor=false
+		-Daudit=false
+		-Dbzip2=false
+		-Delfutils=false
+		-Dgcrypt=false
+		-Dgnutls=false
+		-Dkmod=false
+		-Dlibcryptsetup=false
+		-Dlibcurl=false
+		-Dlibidn=false
+		-Dlibidn2=false
+		-Dlibiptc=false
+		-Dlz4=false
+		-Dmicrohttpd=false
+		-Dpam=false
+		-Dqrencode=false
+		-Dseccomp=false
+		-Dselinux=false
+		-Dxkbcommon=false
+		-Dxz=false
+	)
+	meson_src_configure
+}
+
+set_efi_arch() {
+	case "$(tc-arch)" in
+		amd64) efi_arch=x64 ;;
+		arm)   efi_arch=arm ;;
+		arm64) efi_arch=aa64 ;;
+		x86)   efi_arch=x86 ;;
+	esac
+}
+
+src_compile() {
+	local efi_arch
+	set_efi_arch
+	local targets=(
+		bootctl
+		man/bootctl.1
+		man/kernel-install.8
+		src/boot/efi/linux${efi_arch}.efi.stub
+		src/boot/efi/systemd-boot${efi_arch}.efi
+	)
+	cd "${BUILD_DIR}" || die
+	eninja "${targets[@]}"
+	patchelf --remove-rpath bootctl || die
+}
+
+src_install() {
+	local efi_arch
+	set_efi_arch
+	dobin "${BUILD_DIR}"/bootctl src/kernel-install/kernel-install
+	doman "${BUILD_DIR}"/man/{bootctl.1,kernel-install.8}
+	exeinto usr/lib/kernel/install.d
+	doexe src/kernel-install/{50-depmod,90-loaderentry}.install
+	insinto usr/lib/systemd/boot/efi
+	doins "${BUILD_DIR}"/src/boot/efi/{linux${efi_arch}.efi.stub,systemd-boot${efi_arch}.efi}
+	einstalldocs
+}